$(document).ready(function() {
	selectt();
  selectt2();
  hoverclear();
  zebra();
  zebra2();
  zebra00();
  banner();
  bannertop();
  hidden();
  hidden2();
  textover();
  textover2();
  // picfocus();
})
// 下拉菜单
function selectt(){
    $('.home-search-tips a').click(function(){
       $(this).addClass('cur').siblings().removeClass('cur');
        var index=$(this).index();
        $(this).parent().siblings('.home-search-container').eq(index).show().siblings('.home-search-container').hide();
    });
    //检索标题list
    $('.search-list-label').click(function(){
        $(this).toggleClass('list-cur');
        $(this).siblings().stop().slideToggle(100);
    });
	
	 $('.search-list-container ul li').click(function(){
        var text=$(this).text();
		//-----------修改
		var liValue=$(this).attr("li-value");
        $(this).parents('.search-list-container').siblings('p').text(text);
		//-----------修改
		$(this).parents('.search-list-container').siblings('p').attr("p-value",liValue);
    });
 

    $(document).click(function(e){
        var e=e||event;
        if(e.stopPropagation||e){
            e.stopPropagation()
        }else{
            e.cancelBubble=true;
        }
        if($(e.target).hasClass('search-list-label')){
           var index= $('.search-list-label').index($(e.target));
            for(var i=0;i<$('.search-list-label').length;i++){
                if(index!=i){
                    $('.search-list-label').eq(i).removeClass('list-cur').siblings('div').stop().slideUp(100);
                }
            }
        }else{
            $('.search-list-label').removeClass('list-cur').siblings('div').stop().slideUp(100);
        }
    })
}

function selectt2(){
    $('.coreHead-list-label').click(function(){
        $(this).toggleClass('list-cur');
        $(this).siblings().stop().slideToggle(100);
    });

    $('.coreHead-list-container ul li').click(function(){
        var text=$(this).text();
		
		//-----------修改
		var liValue=$(this).attr("li-value");
		
        $(this).parents('.coreHead-list-container').siblings('p').text(text);
		
		//-----------修改
		$(this).parents('.coreHead-list-container').siblings('p').attr("p-value",liValue);
    });
    $(document).click(function(e){
        var e=e||event;
        if(e.stopPropagation||e){
            e.stopPropagation()
        }else{
            e.cancelBubble=true;
        }
        if($(e.target).hasClass('coreHead-list-label')){
           var index= $('.coreHead-list-label').index($(e.target));
            for(var i=0;i<$('.coreHead-list-label').length;i++){
                if(index!=i){
                    $('.coreHead-list-label').eq(i).removeClass('list-cur').siblings('div').stop().slideUp(100);
                }
            }
        }else{
            $('.coreHead-list-label').removeClass('list-cur').siblings('div').stop().slideUp(100);
        }
    })
}
// 斑马纹
function zebra(){
  // $("ul#zebra li:nth-child(odd)").css("background-color","#fff");
    $("ul#zebra li:nth-child(even)").toggleClass("f3");
}
function zebra2(){
   $(".collect-ul div.collect-li:nth-child(odd)").toggleClass("f3bg");
  //  $("ul#zebra li:nth-child(even)").toggleClass("f3");
}
function zebra00(){
   $(".collect-ul div.collect-li:nth-child(odd)").toggleClass("f3bg1");
  //  $("ul#zebra li:nth-child(even)").toggleClass("f3");
}
//mbtopHover 移入显示

function hoverclear(){
  var li=$("#mbtopHover").find("li");
  var a=$("#mbtopHover").find("li a");
  var n;
  for(var i=0;i<=a.length;i++){
      if($(a[i]).hasClass("mbtopHover")){
          n=i;
        }
  }
  $(li).mouseover(function(){
    if($(this).children("a").hasClass("mbtopHover")){
      return false;
    }
    else{
      $(this).siblings().children("a").removeClass("mbtopHover");
      $(this).children("a").toggleClass("mbtopHover");
    }
  })
  $(li).mouseout(function(){
    $(this).children("a").removeClass("mbtopHover");
    $(a[n]).toggleClass("mbtopHover");
  })
}

// 导航栏太长显示按钮 --改
$(function(){
  var li=$("#mbtopHover").find("li");
  var width=(li.length+1)*124;
  if (width>1120) {
    $(".mbTop").append("<a href='javascript:void(0);' class='mobTopal' id='mobTopal'></a>");
    $(".mbTop").append("<a href='javascript:void(0);' class='mobTopar' id='mobTopar'></a>");
    $("#mbtopHover").css("width",width);
  }
  $(".mbTop #mobTopal").unbind("click");
  $(".mbTop #mobTopal").bind("click",function(){
    $("#mbtopHover").stop(true,true);
    var left=$("#mbtopHover").position().left;
    if(left<0){
          $("#mbtopHover").animate({"left":(left+124)+"px"},200);
        }
  });
  $(".mbTop #mobTopar").unbind("click");
  $(".mbTop #mobTopar").bind("click",function(){
    $("#mbtopHover").stop(true,true);
    var left=$("#mbtopHover").position().left;
    if(left>-(li.length-8)*124){
          $("#mbtopHover").animate({"left":(left-124)+"px"},200);
      }
  });
})
// 轮播图
var n=0;
var count;
function banner(){
  
  count=$("#banner_list a").length;
  $("#banner_list a:not(:first-child)").hide();
  $("#banner li").click(function(e){
      var i=$(this).index();
      n = i;
      $("#banner_list a").filter(":visible").fadeOut(500).parent().children().eq(i).fadeIn(1000);
      $(this).toggleClass("on");
      $(this).siblings().removeAttr("class");
      var e=e||event;
        if( e.stopPropagation||e ){
            e.stopPropagation();
        }else{
            e.cancelBubble=true;
        }
  }); 
  var t=setInterval("showauto()", 2500);
   $("#banner").hover(function(){
    clearInterval(t)}, function(){
      t = setInterval("showauto()", 2500);
    })
}
function showauto(e){
  n = n >=count-1 ?0 : ++n;
  $("#banner li").eq(n).trigger("click");
}
var k=0;
var count2;
function bannertop(){
  count2=$("#banner_list2 div.banner_list").length;
  $("#banner_list2 div.banner_list:not(:first-child)").hide();
  $("#banner2 ul li").click(function(e){
      var i=$(this).index();
      k=i;
      $("#banner_list2 div.banner_list").filter(":visible").fadeOut(500).parent().children().eq(i).fadeIn(1000);
      $(this).toggleClass("on");
      $(this).siblings().removeAttr("class");
      var e=e||event;
        if( e.stopPropagation||e ){
            e.stopPropagation();
        }else{
            e.cancelBubble=true;
        }
  }); 
  var t=setInterval("showauto2()", 2500);
   $("#banner2").hover(function(){
    clearInterval(t)}, function(){
      t = setInterval("showauto2()", 2500);
    })
}
function showauto2(e){
  k=k>=count2-1 ?0 : ++k;
  $("#banner2 li").eq(k).trigger("click");
}

//搜索提示
$(function(){
    $('.home-search-form input[type=text]').focus(function () {
        if($(this).val()=='请输入检索关键字'){
            $(this).val('')
        }
    });
    $('.home-search-form input[type=text]').blur(function () {
        if($(this).val()==''){
            $(this).val('请输入检索关键字')
        }
    });
});
$(function(){
    $('.coreHead-search-form input[type=text]').focus(function () {
        if($(this).val()=='请输入检索关键字'){
            $(this).val('')
        }
    });
    $('.coreHead-search-form input[type=text]').blur(function () {
        if($(this).val()==''){
            $(this).val('请输入检索关键字')
        }
    });
});
// 展开全部
function hidden(){
  var text=$("#hidden").find("div.text-bottom");
  var hidden=$("#hidden").find("div.hidden");
  for(var i=0;i<text.length;i++){
  if($(text[i]).height()>330){
    $(text[i]).addClass("text-bottom-hidden");
    $(hidden[i]).append("<a href="+"javascript:void(0);"+">展开全部 &gt; &gt;</a>");
  }}
  var a=hidden.children("a");
   $(a).click(function(){
     var ahtml=$(this).html();
     var height=$(this).parent("div.hidden").find("div.text-bottom").height();
     if (ahtml=="展开全部 &gt; &gt;") {
       $(this).parent("div.hidden").children("div.text-bottom").removeClass("text-bottom-hidden");
       $(this).html("收起 &gt; &gt;");
       return ahtml;
     }
     else{
       $(this).html("展开全部 &gt; &gt;");
       $(this).parent("div.hidden").children("div.text-bottom").addClass("text-bottom-hidden");
       return ahtml;
     }
   })
}
function hidden2(){
  if($(".text-b").height()>250){
    $(".text-b").addClass("text-b-hidden");
    $(".text-b").parent("div").append("<a href="+"javascript:void(0);"+">展开全部 &gt; &gt;</a>");
  }
  var a=$(".collect-right-top").find("a");
  $(a).click(function(){
    var ahtml=$(this).html();
    if (ahtml=="展开全部 &gt; &gt;") {
      $(".text-b").removeClass("text-b-hidden");
      $(this).html("收起 &gt; &gt;");
      return ahtml;
    }
    else{
       $(this).html("展开全部 &gt; &gt;");
       $(".text-b").addClass("text-b-hidden");
       return ahtml;
     }
  })
}
//文字溢出 。。。。。
function textover(){
  var p=$("#text").find("p");
  var length=1;
  var newstr='';
  for(var i=0;i<p.length;i++){
    var text=$(p[i]).text();
    for(length=1;$(p[i]).height()>60;length++){
      newStr= text.substr(0,text.length-length);
      $(p[i]).text(newStr+'...');
    }  
  }         
}

function textover2(){
  var p=$("#text2").find("p");
  var length=1;
  var newstr='';
  for(var i=0;i<p.length;i++){
    var text=$(p[i]).text();
    for(length=1;$(p[i]).height()>100;length++){
      newStr= text.substr(0,text.length-length);
      $(p[i]).text(newStr+'...');
    }  
  }         
}


$(function () {
    //推荐书本定位
    var lengths=$(".literature-book-container").find(".literature-book").length;
    if (lengths<10) {
      lengths="0"+lengths;
      $(".span-s").html(lengths);
    }else{
        $(".span-s").html(lengths);
    }
    for(var j=0;j<lengths;j++){
      var j2=j+1;
      if(j2<10){
        j2="0"+j2;
        $(".span-b").eq(j).html(j2);
      }else{
          $(".span-b").eq(j).html(j2);
      }
    }
    for(var i=0;i<$('.literature-container').length;i++){
        for(var k=0;k<$('.literature-container').eq(i).find('.literature-book').length;k++){
            var book=$('.literature-container').eq(i).find('.literature-book').eq(k);
            book.css({left:950*k})
        }
    }
    //label切换
    $('.page-literature-label a').mouseenter(function(){
       var index= $('.page-literature-label a').index($(this));
        $('.page-literature-show .literature-warp').eq(index).addClass('literature-warp-show').siblings().removeClass('literature-warp-show');
        $(this).addClass('label-cur').siblings().removeClass('label-cur');
    });
});
function literatureLeft(obj){
   var div=$(obj).siblings('.literature-book-container').children('.literature-book'),
       imgW=950;
    clickPlay_left(div,imgW)
}
function literatureRight(obj){
   var div=$(obj).siblings('.literature-book-container').children('.literature-book'),
       imgW=950;
    clickPlay_right(div,imgW)
}


function clickPlay_left(div,imgwidth){
    if(!div.is(':animated')){
        for(var i=0;i<div.length;i++){
            if(div.eq(i).position().left<=-imgwidth){
                if(i==0){
                    var pervLeft= div.eq(div.length-1).position().left;
                    div.eq(i).css({'left':pervLeft+imgwidth+'px'});
                }else{
                    pervLeft= div.eq(i-1).position().left;
                    div.eq(i).css({'left':pervLeft+imgwidth+'px'});
                }
            }
            var historyContainer=div.eq(i).position().left;
            var news_position=historyContainer-imgwidth;
            if(div.eq(i).position().left==imgwidth){
                setNext(i);
            }
            div.eq(i).stop(true,true).animate({'left':news_position+'px'},100);
        }
    }
}
function clickPlay_right(div,imgwidth){
    if(!div.is(':animated')){
        for(var i=0;i<div.length;i++){
            if(div.eq(i).position().left>=div.parent().width()){
                if(i==div.length-1){
                    var pervLeft= div.eq(0).position().left;
                    div.eq(i).css({'left':-imgwidth+pervLeft+'px'})
                }else{
                    var pervLeft= div.eq(i+1).position().left;
                    div.eq(i).css({'left':-imgwidth+pervLeft+'px'})
                }
                div.eq(i).css({'left':-imgwidth+pervLeft+'px'})
            }
            var historyContainer=div.eq(i).position().left;
            var news_position=historyContainer+imgwidth;
            if(div.eq(i).position().left==-imgwidth){
                setNext(i);
            }
            div.eq(i).stop(true,true).animate({'left':news_position+'px'},100);
        }

    }
}

// ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 陕西图书馆少儿分馆
var childn=0;
var childcount;
$(function(){
  // 轮播图 ///////////////////////////
  childcount=$("#childBanner_lists div.childBanner_list").length;
  $("#childBanner_lists div.childBanner_list:not(:first-child)").hide();
  $("#childBanner li").click(function(e){
      var i=$(this).index();
      childn = i;
      $("#childBanner_lists div.childBanner_list").filter(":visible").fadeOut(500).parent().children().eq(i).fadeIn(1000);
      $(this).toggleClass("childon");
      $(this).siblings().removeAttr("class");
      var e=e||event;
        if( e.stopPropagation||e ){
            e.stopPropagation();
        }else{
            e.cancelBubble=true;
        }
  }); 
  var t=setInterval("childBanner()", 2500);
   $("#childBanner").hover(function(){
    clearInterval(t)}, function(){
      t = setInterval("childBanner()", 2500);
    })
   // 索引列表 ////////////////////////
    $('.childSearch-list-label').click(function(){
        $(this).toggleClass('list-cur');
        $(this).siblings().stop().slideToggle(100);
    });

    $('.childSearch-list-container ul li').click(function(){
        var text=$(this).text();
		//-----------修改
		var liValue=$(this).attr("li-value");
		
        $(this).parents('.childSearch-list-container').siblings('p').text(text);
		//-----------修改
		$(this).parents('.childSearch-list-container').siblings('p').attr("p-value",liValue);
    });
    $(document).click(function(e){
        var e=e||event;
        if(e.stopPropagation||e){
            e.stopPropagation()
        }else{
            e.cancelBubble=true;
        }
        if($(e.target).hasClass('childSearch-list-label')){
           var index= $('.childSearch-list-label').index($(e.target));
            for(var i=0;i<$('.childSearch-list-label').length;i++){
                if(index!=i){
                    $('.childSearch-list-label').eq(i).removeClass('list-cur').siblings('div').stop().slideUp(100);
                }
            }
        }else{
            $('.childSearch-list-label').removeClass('list-cur').siblings('div').stop().slideUp(100);
        }
    })

    $('.childLink-list-label').click(function(){
        $(this).toggleClass('list-cur');
        $(this).siblings().stop().slideToggle(100);
    });

    $('.childLink-list-container ul li').click(function(){
        var text=$(this).text();
        $(this).parents('.childLink-list-container').siblings('p').text(text);
    });
    $(document).click(function(e){
        var e=e||event;
        if(e.stopPropagation||e){
            e.stopPropagation()
        }else{
            e.cancelBubble=true;
        }
        if($(e.target).hasClass('childLink-list-label')){
           var index= $('.childLink-list-label').index($(e.target));
            for(var i=0;i<$('.childLink-list-label').length;i++){
                if(index!=i){
                    $('.childLink-list-label').eq(i).removeClass('list-cur').siblings('div').stop().slideUp(100);
                }
            }
        }else{
            $('.childLink-list-label').removeClass('list-cur').siblings('div').stop().slideUp(100);
        }
    })
   // 清除搜索框 //////////////////////////
     $('.childSearch-input input[type=text]').focus(function () {
        if($(this).val()=='请输入检索关键字'){
            $(".childSearch-input").find("input[type=text]").css("color","#000");
            $(this).val('')
        }
    });
    $('.childSearch-input input[type=text]').blur(function () {
        if($(this).val()==''){
            $(".childSearch-input").find("input[type=text]").css("color","#ebebeb");
            $(this).val('请输入检索关键字')
        }
    });
    // 报道浏览
    var lengths=$(".childReport-book-container").find(".childReport-book").length;
    for(var i=0;i<$('.childReport-container').length;i++){
        for(var k=0;k<$('.childReport-container').eq(i).find('.childReport-book').length;k++){
            var book=$('.childReport-container').eq(i).find('.childReport-book').eq(k);
            book.css({left:240*k})
        }
    }

})
function childBanner(e){
  childn = childn >=childcount-1 ?0 : ++childn;
  $("#childBanner li").eq(childn).trigger("click");
}
function childReportLeft(obj){
   var div=$(obj).siblings('.childReport-book-container').children('.childReport-book'),
       imgW=240;
    clickPlay_left(div,imgW)
}
function childReportRight(obj){
   var div=$(obj).siblings('.childReport-book-container').children('.childReport-book'),
       imgW=240;
    clickPlay_right(div,imgW)
}
//新增
$(window).load(function(){
    setBookCon();
})
function setBookCon(){
    var _picH=0;
    for(var i=0;i<$('.literature-book-container .literature-book').length;i++){
        if($('.literature-book-container .literature-book').eq(i).position().left==0){
            _picH=$('.literature-book-container .literature-book').eq(i).height();
            var imgH= $('.literature-book-container .literature-book').eq(i).children('.literature-book-info').height();
            $('.literature-btn').css({top:imgH/2})
        }
    }
    $('.literature-book-container').css({height:_picH});
}
function setNext(i){
    var imgH= $('.literature-book-container .literature-book').eq(i).children('.literature-book-info').height();
    $('.literature-btn').css({top:imgH/2});
    var ch=$('.literature-book-container .literature-book').eq(i).height();
    $('.literature-book-container').css({height:ch});
}
//文献搜索
function WXsearch(){
	var flag=true;
	var $this=$("#form1");
	var ev=window.event||ev;
	//第一个下拉框
	var $a_p=$("div[class=home-search-container]").find("p");
	var $a_pValue=$a_p.attr("p-value");
	//第二个下拉框
	var $b_p=$("div[class=home-search-label]").find("p");
	var $b_pValue=$b_p.attr("p-value");
	//检索
	//alert("1");
		var cc=$("#searchdata1").val();
		if (cc==""||cc=="请输入检索关键字")
		{
			alert("检索词不能为空！");
			if(ev.keyCode==13||ev.which==13)
			  {
				window.event.returnValue = false; 
				 ev.preventDefault();
			   }
			flag=false;	
		}
		window.event.returnValue = false; 
	$this.find("input[name=srchfield1]").val($a_pValue);
	$this.find("input[name=library]").val($b_pValue);
	if(flag){
	$this.submit();
	}
}
//js 新增 10.27
$(function(){
    if(judgeTime()){
        $('#headcontent li.click').addClass('noClick');
		$('#headcontent li.click').click(function(){
												return false;
												});
    }
    function judgeTime(){
        var _day=new Date();
        var _hours=_day.getHours(),
            _minutes=_day.getMinutes(),
            _tips=false;
        _day=_day.getDay();
        if(_day==1){
            _tips= _hours>13? false:true;
            if(_tips){
                if(_hours==13){
                    _tips=_minutes<=1?true:false;
                }
            }
        }
        return _tips;
    }
});
//js 新增10.27 陕图展览页轮播图
$(function(){
    var h_slider_len = $('.h-stz-banner li').length;
    var $h_slider_page = $('.h-stz-page').eq(0);
    var h_now_index = 0;
    for(var i=0; i<h_slider_len; i++) {
        if(i == 0) {
            $h_slider_page.append($('<li class="active"></li>'));
        }else {
            $h_slider_page.append($('<li></li>'));
        }
    }
    function h_stz_slider(index) {
        $('.h-stz-page li:eq('+ index +')').addClass('active').siblings().removeClass('active');
        $('.h-stz-banner .imgs li:eq('+ index +')').fadeIn(700).siblings('li').fadeOut(700);
    }
    var h_stz_timer = setInterval(function () {
        h_stz_slider(++h_now_index);
        if(h_now_index == h_slider_len-1) {
            h_now_index = -1;
        }
    }, 3000);
    $('.h-stz-page li').click(function () {
        clearInterval(h_stz_timer);
        h_now_index = $(this).index();
        h_stz_slider(h_now_index);
        if(h_now_index == h_slider_len-1) {
            h_now_index = -1;
        }

        h_stz_timer = setInterval(function () {
            h_stz_slider(++h_now_index);
            if(h_now_index == h_slider_len-1) {
                h_now_index = -1;
            }
        }, 3000);
    });
    $('.h-stz-banner .imgs a ').hover(
        function () {
            clearInterval(h_stz_timer);
        },
        function () {
            h_stz_timer = setInterval(function () {
                h_stz_slider(++h_now_index);
                if(h_now_index == h_slider_len-1) {
                    h_now_index = -1;
                }
            }, 3000);
        }
    );
});
